-- добавляет направляющие отступов ко всем строкам (включая пустые строки).
return {
  "lukas-reineke/indent-blankline.nvim",
  main = "ibl",
  config = function()
    local blankline = require"ibl"

    local options = {
      exclude = {
        filetypes = {
          "help",
          "terminal",
          "alpha",
          "packer",
          "lspinfo",
          "TelescopePrompt",
          "TelescopeResults",
          "mason",
          "checkhealth",
          "man",
          ""
        },
        buftypes = {
          "terminal"
        }
      },
      whitespace = {
        remove_blankline_trail = true
      },
      scope = {
        enabled = true,
        highlight = { "SpecialKey", "SpecialKey", "SpecialKey" },
        show_start = false
      }
    }
    blankline.setup(options)
  end
}
